We support the latest 5 versions of the following web browsers:

  • Google Chrome
  • Mozilla Firefox
  • Apple Safari
  • Microsoft Edge
  • Opera

As well as: 

  • Internet Explorer version 11

Generally speaking, the website will work in older versions of the browsers without issue, however as we continue to introduce newer technology into the platform, no guarantees can be made. 

Note on Internet Explorer: Versions 10 and under are no longer supported by Microsoft and there for are a security vulnerability. In order to give the best possible experience with the latest technologies, we are not able to support these browsers.

Did this answer your question?